package com.alterdekim.db;

public class Database {

    //private CouchDbConnector lobbyConnector;

    private String host;
    private int port;
    private String lobby_name;

    public Database( String host, int port, String lobby_name ) {
        this.host = host;
        this.port = port;
        this.lobby_name = lobby_name;
    }

    public void start() throws Exception {
       /* HttpClient httpClient = new StdHttpClient.Builder()
                .url("http://"+host+":"+port)
                .username("admin")
                .password("")
                .build();
        CouchDbInstance dbInstance = new StdCouchDbInstance(httpClient);

        CouchDbConnector db = new StdCouchDbConnector(lobby_name, dbInstance);
        db.createDatabaseIfNotExists();

        this.lobbyConnector = db;

        DesignDocument dd = new DesignDocument("test");

        db.create(dd);*/

    }
}
